_

Usuwanie kreskowania z rysunku z wiersza poleceń

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Usuwanie kreskowania z rysunku z wiersza poleceń

Postprzez 88marcin » cze 07, 2017 15:21

Witam,

jaka z rysunku usunąć kreskowanie o zadanym wzorze?

Wiem że można to zrobić przez SWYBIERZ.

Jak to zrobić żeby to wykonanć w lisp lub z wiersza poleceń?

Czy da się wyrzucić wsadowo ze wszystkich bloków w rysunku kreskowanie o zadanym wzorze?
88marcin
 
Posty: 28
Dołączył(a): mar 22, 2016 12:08

Re: Usuwanie kreskowania z rysunku z wiersza poleceń

Postprzez ziele_o2k » cze 07, 2017 15:57

88marcin napisał(a):Witam,

jaka z rysunku usunąć kreskowanie o zadanym wzorze?

Wiem że można to zrobić przez SWYBIERZ.


Poczytaj jeszcze o filtrach. Coś na ten temat tutaj:
https://kojacek.wordpress.com/2016/11/27/nazwane-filtry-wyboru/
88marcin napisał(a):Jak to zrobić żeby to wykonanć w lisp lub z wiersza poleceń?


Trzeba lispa napisać :)
Kod: Zaznacz cały
(defun c:Test1 (/ ss)
  (if (setq ss (ssget "_X" '((0 . "HATCH") (2 . "TWOJA_NAZWA_KRESKOWANIA"))))
    (repeat (setq in (sslength ss))
      (entdel (ssname ss (setq in (1- in) )))
    )
  )
)


88marcin napisał(a):Czy da się wyrzucić wsadowo ze wszystkich bloków w rysunku kreskowanie o zadanym wzorze?


Tutaj już koniecznie lispem, przykładowo:
Kod: Zaznacz cały
(defun c:Test2 (/ b o)
  ;;--- Tharwat 26.June.2013 ---;; 
  ;;--- modifications ziele_o2k 07.June.2017 ---;;
  (or doc
      (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
  )
  (vlax-for b
              (vla-get-blocks
                doc
              )
    (if
      (and
        (eq :vlax-false (vla-get-isLayout b))
        (eq :vlax-false (vla-get-isXref b))
      )
       (vlax-for o b
         (if (and (eq "AcDbHatch" (vla-get-objectname o)) (eq "TWOJA_NAZWA_KRESKOWANIA" (vla-get-PatternName o)))
           (vl-catch-all-apply 'vla-delete (list o))
         )
       )
    )
  )
  (vla-regen doc acAllViewports)
  (princ)
)
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 433
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: Usuwanie kreskowania z rysunku z wiersza poleceń

Postprzez 88marcin » cze 08, 2017 14:23

Super :wink:
Działa znakomicie.

Czy da się też usunąć wsadowo zadane kreskowanie z modelu?
88marcin
 
Posty: 28
Dołączył(a): mar 22, 2016 12:08


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników